{% extends 'static.html' %} {% block content %}
<title>Halaman Profile</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css"> 
{% if request.session.Role == 'Customer' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/appointmentdokter/create-appointmentdokter">Create Appointment</a>
                    <a class="dropdown-item" href="/appointmentdokter">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %}
<br>
<main id="main">
    <section>
        <div class="container-fluid">
            <br>
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">
                            Profil Anda
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <label class="col-sm-3">Username:</label>
                                <div class="col-sm-9">
                                    <p class="card-text">{{ username }}</p>
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-sm-3">Nama Lengkap:</label>
                                <div class="col-sm-9">
                                    <p class="card-text">{{ user_first_name }} {{ user_last_name }}</p>
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-sm-3">Status:</label>
                                <div class="col-sm-9">
                                    {% if user_is_vip %}
                                    <p class="card-text">Customer VIP</p>
                                    {% else %}
                                    <p class="card-text">Customer Reguler</p>
                                    {% endif %}
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-sm-3">Email:</label>
                                <div class="col-sm-9">
                                    <p class="card-text">{{ user_email }}</p>
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-sm-3">Nomor Telepon:</label>
                                <div class="col-sm-9">
                                    <p class="card-text">{{ user_no_telepon }}</p>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <label class="col-sm-12"><center>List Hewan:</center></label>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    {% if not list_hewan %}
                                    <p class="card-text">Anda belum mendaftarkan hewan apapun</p>
                                    {% else %}
                                    <table class="table table-bordered border-dark">
                                        <thead class="table-dark">
                                            <tr>
                                                <th scope="col" style="font-family: 'Poppins', sans-serif;">No</th>
                                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Nama</th>
                                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Jenis</th>
                                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Umur</th>
                                                <th scope="col" style="font-family: 'Poppins', sans-serif;">Note</th>
                                                <th scope="col" style="font-family: 'Poppins', sans-serif;" class="text-center">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% for hewan in list_hewan %}
                                            <tr>
                                                <td style="font-family: 'Poppins', sans-serif; font-weight: bold;">{{ forloop.counter }}</td>
                                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.1 }}</td>
                                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.2 }}</td>
                                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.3 }}</td>
                                                <td style="font-family: 'Poppins', sans-serif;">{{ hewan.4 }}</td>
                                                <td class="text-center">
                                                    <a class="btn btn-info" href="/profile/update-hewan/{{ hewan.0 }}">Update</a>
                                                    <a class="btn btn-danger" href="/profile/delete-hewan/{{ hewan.0 }}" onclick="return confirm('⚠️ Apakah Anda yakin ingin menghapus hewan ini?')">Delete</a>
                                                </td>
                                            </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                    {% endif %}
                                </div>
                            </div>
                            {% if not user_is_vip %}
                            <a href="/profile/submit-vip-validation/{{ user_id }}" class="btn btn-primary">Upgrade ke VIP</a>
                            {% endif %}
                            <a href="/profile/tambah-hewan/{{ user_id }}" class="btn btn-success">Tambah Hewan</a>
                            <a href="/profile/update-profile/{{ user_id }}" class="btn btn-secondary">Update Profile</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<!-- <script>
    const togglePassword = document.querySelector('#togglePassword');
    const password = document.querySelector('#password');

    togglePassword.addEventListener('click', function(e) {
        // toggle the type attribute
        const type = password.getAttribute('type') === 'password' ? 'text' : 'password';
        password.setAttribute('type', type);
        // toggle the eye slash icon
        this.classList.toggle('fa-eye-slash');
    });
</script> -->


{% endblock %}